#ifndef _button_h
#define _button_h

class _button
{
  int click;
  int sound;
  public:
    int x;
    int y;
    int w;
    int h;
    string text;
    BITMAP *picture;
    void draw(BITMAP *back_buffer);
    void redraw(BITMAP *back_buffer);
    void check(BITMAP *back_buffer, int moved);
    int mouseover();
    int mousedown();
    int clicked();
    void init(int ix, int iy, int iw, int ih);
    void init(int ix, int iy, int iw, int ih, string itext);
    void init(int ix, int iy, int iw, int ih, string itext, BITMAP *ipicture);
};

#endif
